# OpenLayers.Popup.FramedCloud

#### Inherits from

- OpenLayers.Popup.Framed

Summary

OpenLayers.Popup.FramedCloud |
Properties |
contentDisplayClass | {String} The CSS class of the popup content div.
autoSize | {Boolean} Framed Cloud is autosizing by default.
panMapIfOutOfView | {Boolean} Framed Cloud does pan into view by default.
imageSize | {OpenLayers.Size}
isAlphaImage | {Boolean} The FramedCloud does not use an alpha image (in honor of the good ie6 folk out there)
fixedRelativePosition | {Boolean} The Framed Cloud popup works in just one fixed position.
positionBlocks | {Object} Hash of differen position blocks, keyed by relativePosition two-character code string (ie “tl”, “tr”, “bl”, “br”)
minSize | {OpenLayers.Size}
maxSize | {OpenLayers.Size}
Constructor |
OpenLayers.Popup.FramedCloud |

### Properties

### contentDisplayClass

{String} The CSS class of the popup content div.

### autoSize

{Boolean} Framed Cloud is autosizing by default.

### panMapIfOutOfView

{Boolean} Framed Cloud does pan into view by default.

### imageSize

{OpenLayers.Size}

### isAlphaImage

{Boolean} The FramedCloud does not use an alpha image (in honor of the good ie6 folk out there)

### fixedRelativePosition

{Boolean} The Framed Cloud popup works in just one fixed position.

### positionBlocks

{Object} Hash of differen position blocks, keyed by relativePosition two-character code string (ie “tl”, “tr”, “bl”, “br”)

### minSize

{OpenLayers.Size}

### maxSize

{OpenLayers.Size}

### Constructor

### OpenLayers.Popup.FramedCloud

#### Parameters

id | {String}
lonlat | {OpenLayers.LonLat}
contentSize | {OpenLayers.Size}
contentHTML | {String}
anchor | {Object} Object to which we’ll anchor the popup. Must expose a ‘size’ (OpenLayers.Size) and ‘offset’ (OpenLayers.Pixel) (Note that this is generally an OpenLayers.Icon).
closeBox | {Boolean}
closeBoxCallback | {Function} Function to be called on closeBox click.

Instances of this class represent a width/height pair
This class represents a longitude and latitude pair
This class represents a screen coordinate, in x and y coordinates
The icon represents a graphical icon on the screen.
Close